Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Timer_Node_Dispatch_Info_T< TYPE > Class Template Reference

Maintains generated dispatch information for Timer nodes. More...

`#include <Timer_Queue_T.h>`

Collaboration diagram for ACE_Timer_Node_Dispatch_Info_T< TYPE >:

[legend]
List of all members.

## Public Attributes
TYPE | type_
| The type of object held in the queue.
const void * | act_
| Asynchronous completion token associated with the timer.
int | recurring_timer_
| Flag to check if the timer is recurring.

## Detailed Description

### template<class TYPE>
class ACE_Timer_Node_Dispatch_Info_T< TYPE >

Maintains generated dispatch information for Timer nodes.

## Member Data Documentation

template<class TYPE>
const void* ACE_Timer_Node_Dispatch_Info_T< TYPE >::act_

| Asynchronous completion token associated with the timer.

template<class TYPE>
int ACE_Timer_Node_Dispatch_Info_T< TYPE >::recurring_timer_

| Flag to check if the timer is recurring.

template<class TYPE>
TYPE ACE_Timer_Node_Dispatch_Info_T< TYPE >::type_

| The type of object held in the queue.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timer_Queue_T.h